Main Page Class Hierarchy Compound List File List Compound Members File Members

# GLOBAL_AMP_MSG Struct Reference

`#include <global_amp_rw.h>`

List of all members.

## Public Attributes
short | version
MSG_LOGO | logo
long | sequence
char | station [TRACE_STA_LEN]
char | channel [TRACE_CHAN_LEN]
char | network [TRACE_NET_LEN]
char | location [TRACE_LOC_LEN]
char | amp_time [19]
AMPLITUDE_TYPE | amptype
double | adcounts
double | period

## Member Data Documentation

double GLOBAL_AMP_MSG::adcounts

| Definition at line 45 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

char GLOBAL_AMP_MSG::amp_time[19]

| Definition at line 43 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

AMPLITUDE_TYPE GLOBAL_AMP_MSG::amptype

| Definition at line 44 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

char GLOBAL_AMP_MSG::channel[TRACE_CHAN_LEN]

| Definition at line 40 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

char GLOBAL_AMP_MSG::location[TRACE_LOC_LEN]

| Definition at line 42 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

MSG_LOGO GLOBAL_AMP_MSG::logo

| Definition at line 37 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

char GLOBAL_AMP_MSG::network[TRACE_NET_LEN]

| Definition at line 41 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

double GLOBAL_AMP_MSG::period

| Definition at line 46 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

long GLOBAL_AMP_MSG::sequence

| Definition at line 38 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

char GLOBAL_AMP_MSG::station[TRACE_STA_LEN]

| Definition at line 39 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

short GLOBAL_AMP_MSG::version

| Definition at line 36 of file global_amp_rw.h. Referenced by InitGlobalAmp(), StringToAmp(), and WriteAmpToBuffer().

The documentation for this struct was generated from the following file:

- global_amp_rw.h